export declare type CodeTheme = {
    backgroundColor?: string;
    textColor?: string;
    substringColor?: string;
    keywordColor?: string;
    attributeColor?: string;
    selectorTagColor?: string;
    docTagColor?: string;
    nameColor?: string;
    builtInColor?: string;
    literalColor?: string;
    bulletColor?: string;
    codeColor?: string;
    additionColor?: string;
    regexpColor?: string;
    symbolColor?: string;
    variableColor?: string;
    templateVariableColor?: string;
    linkColor?: string;
    selectorAttributeColor?: string;
    selectorPseudoColor?: string;
    typeColor?: string;
    stringColor?: string;
    selectorIdColor?: string;
    selectorClassColor?: string;
    quoteColor?: string;
    templateTagColor?: string;
    deletionColor?: string;
    titleColor?: string;
    sectionColor?: string;
    commentColor?: string;
    metaKeywordColor?: string;
    metaColor?: string;
    functionColor?: string;
    numberColor?: string;
    codeFontSize?: number | string;
    codeLineHeight?: number | string;
    prologColor?: string;
    cdataColor?: string;
    punctuationColor?: string;
    propertyColor?: string;
    constantColor?: string;
    deletedColor?: string;
    booleanColor?: string;
    charColor?: string;
    insertedColor?: string;
    operatorColor?: string;
    atruleColor?: string;
    importantColor?: string;
};
export interface CodeBlockTheme extends CodeTheme {
    lineNumberColor?: string;
    highlightedLineBgColor?: string;
    highlightedLineBorderColor?: string;
    lineNumberBgColor?: string;
    lineNumberWidth?: string | number;
}
