"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = require("styled-components");

var _CodeBlock = _interopRequireDefault(require("./components/CodeBlock"));

var CodeBlockWithTheme = (0, _styledComponents.withTheme)(_CodeBlock.default);
var emptyTheme = {};

var ThemeCodeBlock = function ThemeCodeBlock(props) {
  return /*#__PURE__*/_react.default.createElement(_styledComponents.ThemeProvider, {
    theme: emptyTheme
  }, /*#__PURE__*/_react.default.createElement(CodeBlockWithTheme, props));
};

var _default = ThemeCodeBlock;
exports.default = _default;